Manifest-Version: 1.0
Ant-Version: Apache Ant 1.10.9
Created-By: 1.8.0_381 (Oracle Corporation)
Bnd-LastModified: 1729073316783
Bundle-ClassPath: .,lib/classmate-1.4.0.jar,lib/jackson-dataformat-xml
 -2.9.8.jar,lib/jackson-dataformat-yaml-2.9.8.jar,lib/jackson-datatype
 -jdk8-2.9.8.jar,lib/jackson-jaxrs-xml-provider-2.9.8.jar,lib/jackson-
 module-jaxb-annotations-2.9.8.jar,lib/failureaccess-1.0.1.jar,lib/gua
 va-30.1.1-jre.jar,lib/graphql-java-12.0.jar,lib/java-dataloader-2.1.1
 .jar,lib/graphql-java-servlet-7.5.0.jar,lib/commons-codec-1.15.jar,li
 b/graphql-java-annotations-7.0.1.jar,lib/swagger-core-2.0.6.jar,lib/s
 wagger-integration-2.0.6.jar,lib/swagger-jaxrs2-2.0.6.jar,lib/antlr4-
 runtime-4.7.1.jar,lib/commons-lang3-3.8.jar,lib/hibernate-validator-6
 .1.5.Final.jar,lib/javassist-3.23.1-GA.jar,lib/reactive-streams-1.0.2
 .jar,lib/reflections-0.9.11.jar,lib/snakeyaml-1.31.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Vulcan Implementation
Bundle-SymbolicName: com.liferay.portal.vulcan.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.55.hotfix-6115-7413
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.annotation;version="2.13",com.fasterxml.jackson.core;ver
 sion="2.13",com.fasterxml.jackson.core.base;version="2.13",com.faster
 xml.jackson.core.format;version="2.13",com.fasterxml.jackson.core.io;
 version="2.13",com.fasterxml.jackson.core.json;version="2.13",com.fas
 terxml.jackson.core.type;version="2.13",com.fasterxml.jackson.core.ut
 il;version="2.13",com.fasterxml.jackson.databind;version="2.13",com.f
 asterxml.jackson.databind.annotation;version="2.13",com.fasterxml.jac
 kson.databind.cfg;version="2.13",com.fasterxml.jackson.databind.deser
 ;version="2.13",com.fasterxml.jackson.databind.deser.std;version="2.1
 3",com.fasterxml.jackson.databind.exc;version="2.13",com.fasterxml.ja
 ckson.databind.introspect;version="2.13",com.fasterxml.jackson.databi
 nd.jsonFormatVisitors;version="2.13",com.fasterxml.jackson.databind.j
 sontype;version="2.13",com.fasterxml.jackson.databind.jsontype.impl;v
 ersion="2.13",com.fasterxml.jackson.databind.module;version="2.13",co
 m.fasterxml.jackson.databind.node;version="2.13",com.fasterxml.jackso
 n.databind.ser;version="2.13",com.fasterxml.jackson.databind.ser.impl
 ;version="2.13",com.fasterxml.jackson.databind.ser.std;version="2.13"
 ,com.fasterxml.jackson.databind.type;version="2.13",com.fasterxml.jac
 kson.databind.util;version="2.13",com.fasterxml.jackson.jaxrs.base,co
 m.fasterxml.jackson.jaxrs.cfg,com.fasterxml.jackson.jaxrs.json;versio
 n="2.9",com.liferay.batch.engine;version="5.1",com.liferay.batch.engi
 ne.pagination;version="1.0",com.liferay.batch.engine.strategy;version
 ="1.0",com.liferay.depot.service;version="1.9",com.liferay.document.l
 ibrary.kernel.util;version="7.1",com.liferay.headless.batch.engine.dt
 o.v1_0;version="2.6",com.liferay.headless.batch.engine.resource.v1_0;
 version="6.0",com.liferay.osgi.service.tracker.collections.list;versi
 on="2.0",com.liferay.osgi.service.tracker.collections.map;version="2.
 2",com.liferay.osgi.util;version="2.3",com.liferay.petra.function;ver
 sion="1.5",com.liferay.petra.lang;version="1.3",com.liferay.petra.ref
 lect;version="1.5",com.liferay.petra.string;version="1.7",com.liferay
 .portal.configuration.metatype.annotations;version="1.5",com.liferay.
 portal.configuration.persistence.listener;version="1.1",com.liferay.p
 ortal.kernel.bean;version="10.0",com.liferay.portal.kernel.change.tra
 cking;version="2.1",com.liferay.portal.kernel.exception;version="12.2
 ",com.liferay.portal.kernel.json;version="11.0",com.liferay.portal.ke
 rnel.language;version="11.0",com.liferay.portal.kernel.log;version="7
 .1",com.liferay.portal.kernel.model;version="22.0",com.liferay.portal
 .kernel.search;version="14.0",com.liferay.portal.kernel.search.filter
 ;version="1.0",com.liferay.portal.kernel.security.auth;version="5.0",
 com.liferay.portal.kernel.service;version="17.0",com.liferay.portal.k
 ernel.transaction;version="8.1",com.liferay.portal.kernel.util;versio
 n="41.0",com.liferay.portal.odata.entity;version="2.0",com.liferay.po
 rtal.odata.filter;version="1.1",com.liferay.portal.odata.filter.expre
 ssion;version="2.1",com.liferay.portal.odata.sort;version="1.2",com.l
 iferay.portal.spring.transaction,com.liferay.portal.vulcan.accept.lan
 guage;version="1.1",com.liferay.portal.vulcan.aggregation;version="1.
 2",com.liferay.portal.vulcan.batch.engine;version="2.0",com.liferay.p
 ortal.vulcan.batch.engine.resource;version="1.0",com.liferay.portal.v
 ulcan.dto.converter;version="1.8",com.liferay.portal.vulcan.extension
 ;version="4.0",com.liferay.portal.vulcan.extension.validation;version
 ="1.0",com.liferay.portal.vulcan.fields;version="1.5",com.liferay.por
 tal.vulcan.graphql.annotation;version="1.2",com.liferay.portal.vulcan
 .graphql.contributor;version="1.1",com.liferay.portal.vulcan.graphql.
 dto;version="1.3",com.liferay.portal.vulcan.graphql.dto.v1_0;version=
 "1.0",com.liferay.portal.vulcan.graphql.servlet;version="1.1",com.lif
 eray.portal.vulcan.jaxrs;version="1.0",com.liferay.portal.vulcan.jaxr
 s.exception.mapper;version="1.2",com.liferay.portal.vulcan.multipart;
 version="1.0",com.liferay.portal.vulcan.openapi;version="2.0",com.lif
 eray.portal.vulcan.openapi.contributor;version="1.0",com.liferay.port
 al.vulcan.pagination;version="1.4",com.liferay.portal.vulcan.resource
 ;version="1.3",com.liferay.portal.vulcan.status;version="1.0",com.lif
 eray.portal.vulcan.util;version="3.5",io.swagger.v3.oas.annotations;v
 ersion="2.0",io.swagger.v3.oas.annotations.callbacks;version="2.0",io
 .swagger.v3.oas.annotations.enums;version="2.0",io.swagger.v3.oas.ann
 otations.extensions;version="2.0",io.swagger.v3.oas.annotations.heade
 rs;version="2.0",io.swagger.v3.oas.annotations.info;version="2.0",io.
 swagger.v3.oas.annotations.links;version="2.0",io.swagger.v3.oas.anno
 tations.media;version="2.0",io.swagger.v3.oas.annotations.parameters;
 version="2.0",io.swagger.v3.oas.annotations.responses;version="2.0",i
 o.swagger.v3.oas.annotations.security;version="2.0",io.swagger.v3.oas
 .annotations.servers;version="2.0",io.swagger.v3.oas.annotations.tags
 ;version="2.0",io.swagger.v3.oas.models;version="2.0",io.swagger.v3.o
 as.models.callbacks;version="2.0",io.swagger.v3.oas.models.examples;v
 ersion="2.0",io.swagger.v3.oas.models.headers;version="2.0",io.swagge
 r.v3.oas.models.info;version="2.0",io.swagger.v3.oas.models.links;ver
 sion="2.0",io.swagger.v3.oas.models.media;version="2.0",io.swagger.v3
 .oas.models.parameters;version="2.0",io.swagger.v3.oas.models.respons
 es;version="2.0",io.swagger.v3.oas.models.security;version="2.0",io.s
 wagger.v3.oas.models.servers;version="2.0",io.swagger.v3.oas.models.t
 ags;version="2.0",javax.activation,javax.annotation;version="1.3",jav
 ax.crypto,javax.crypto.spec,javax.el,javax.persistence,javax.script,j
 avax.security.auth,javax.servlet,javax.servlet.http,javax.validation;
 version="2.0",javax.validation.bootstrap;version="2.0",javax.validati
 on.constraints;version="2.0",javax.validation.constraintvalidation;ve
 rsion="2.0",javax.validation.executable;version="2.0",javax.validatio
 n.groups;version="2.0",javax.validation.metadata;version="2.0",javax.
 validation.spi;version="2.0",javax.validation.valueextraction;version
 ="2.0",javax.websocket,javax.websocket.server,javax.ws.rs;version="2.
 1",javax.ws.rs.container;version="2.1",javax.ws.rs.core;version="2.1"
 ,javax.ws.rs.ext;version="2.1",javax.xml.bind,javax.xml.bind.annotati
 on,javax.xml.bind.annotation.adapters,javax.xml.namespace,javax.xml.p
 arsers,javax.xml.stream,javax.xml.stream.events,javax.xml.transform,j
 avax.xml.transform.stream,javax.xml.validation,org.apache.commons.fil
 eupload;version="1.3",org.apache.commons.fileupload.disk;version="1.3
 ",org.apache.commons.fileupload.servlet;version="1.3",org.apache.comm
 ons.fileupload.util;version="1.3",org.apache.cxf.common.util;version=
 "3.5",org.apache.cxf.interceptor;version="3.5",org.apache.cxf.jaxrs.e
 xt;version="3.5",org.apache.cxf.jaxrs.impl;version="3.5",org.apache.c
 xf.jaxrs.lifecycle;version="3.5",org.apache.cxf.jaxrs.model;version="
 3.5",org.apache.cxf.jaxrs.provider;version="3.5",org.apache.cxf.jaxrs
 .utils;version="3.5",org.apache.cxf.message;version="3.5",org.apache.
 cxf.phase;version="3.5",org.apache.cxf.validation;version="3.5",org.c
 odehaus.stax2,org.codehaus.stax2.io,org.codehaus.stax2.ri,org.dom4j,o
 rg.dom4j.io,org.jboss.logging,org.osgi.framework;version="1.8",org.os
 gi.service.cm;version="1.6",org.osgi.service.component.runtime;versio
 n="1.4",org.osgi.service.component.runtime.dto;version="1.4",org.osgi
 .service.http.context;version="1.0",org.osgi.util.promise;version="1.
 1",org.osgi.util.tracker;version="1.5",org.slf4j,org.springframework.
 transaction.interceptor,org.w3c.dom,org.xml.sax,sun.misc
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Vulcan
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.vulcan.internal.accept.language,co
 m.liferay.portal.vulcan.internal.batch.engine,com.liferay.portal.vulc
 an.internal.batch.engine.resource,com.liferay.portal.vulcan.internal.
 configuration,com.liferay.portal.vulcan.internal.configuration.persis
 tence.listener,com.liferay.portal.vulcan.internal.configuration.util,
 com.liferay.portal.vulcan.internal.dto.converter,com.liferay.portal.v
 ulcan.internal.extension,com.liferay.portal.vulcan.internal.extension
 .util,com.liferay.portal.vulcan.internal.fields.servlet,com.liferay.p
 ortal.vulcan.internal.graphql.data.fetcher,com.liferay.portal.vulcan.
 internal.graphql.data.processor,com.liferay.portal.vulcan.internal.gr
 aphql.servlet,com.liferay.portal.vulcan.internal.graphql.util,com.lif
 eray.portal.vulcan.internal.jackson.databind.ser,com.liferay.portal.v
 ulcan.internal.jaxrs,com.liferay.portal.vulcan.internal.jaxrs.contain
 er.request.filter,com.liferay.portal.vulcan.internal.jaxrs.container.
 response.filter,com.liferay.portal.vulcan.internal.jaxrs.context.prov
 ider,com.liferay.portal.vulcan.internal.jaxrs.context.resolver,com.li
 feray.portal.vulcan.internal.jaxrs.dynamic.feature,com.liferay.portal
 .vulcan.internal.jaxrs.exception.mapper,com.liferay.portal.vulcan.int
 ernal.jaxrs.extension,com.liferay.portal.vulcan.internal.jaxrs.featur
 e,com.liferay.portal.vulcan.internal.jaxrs.message.body,com.liferay.p
 ortal.vulcan.internal.jaxrs.param.converter.provider,com.liferay.port
 al.vulcan.internal.jaxrs.serializer,com.liferay.portal.vulcan.interna
 l.jaxrs.validation,com.liferay.portal.vulcan.internal.jaxrs.writer.in
 terceptor,com.liferay.portal.vulcan.internal.multipart,com.liferay.po
 rtal.vulcan.internal.param.converter,com.liferay.portal.vulcan.intern
 al.param.converter.provider,com.liferay.portal.vulcan.internal.resour
 ce,lib,com.fasterxml.classmate,com.fasterxml.classmate.members,com.fa
 sterxml.classmate.types,com.fasterxml.classmate.util,com.fasterxml.ja
 ckson.dataformat.xml,com.fasterxml.jackson.dataformat.xml.annotation,
 com.fasterxml.jackson.dataformat.xml.deser,com.fasterxml.jackson.data
 format.xml.jaxb,com.fasterxml.jackson.dataformat.xml.ser,com.fasterxm
 l.jackson.dataformat.xml.util,com.fasterxml.jackson.dataformat.yaml,c
 om.fasterxml.jackson.dataformat.yaml.snakeyaml.error,com.fasterxml.ja
 ckson.datatype.jdk8,com.fasterxml.jackson.jaxrs.xml,com.fasterxml.jac
 kson.module.jaxb,com.fasterxml.jackson.module.jaxb.deser,com.fasterxm
 l.jackson.module.jaxb.ser,com.google.common.util.concurrent.internal,
 com.google.common.annotations,com.google.common.base,com.google.commo
 n.base.internal,com.google.common.cache,com.google.common.collect,com
 .google.common.escape,com.google.common.eventbus,com.google.common.gr
 aph,com.google.common.hash,com.google.common.html,com.google.common.i
 o,com.google.common.math,com.google.common.net,com.google.common.prim
 itives,com.google.common.reflect,com.google.common.util.concurrent,co
 m.google.common.xml,com.google.thirdparty.publicsuffix,graphql,graphq
 l.analysis,graphql.cachecontrol,graphql.execution,graphql.execution.b
 atched,graphql.execution.defer,graphql.execution.instrumentation,grap
 hql.execution.instrumentation.dataloader,graphql.execution.instrument
 ation.fieldvalidation,graphql.execution.instrumentation.nextgen,graph
 ql.execution.instrumentation.parameters,graphql.execution.instrumenta
 tion.tracing,graphql.execution.nextgen,graphql.execution.nextgen.resu
 lt,graphql.execution.preparsed,graphql.execution.reactive,graphql.int
 rospection,graphql.language,graphql.nextgen,graphql.parser,graphql.pa
 rser.antlr,graphql.relay,graphql.schema,graphql.schema.diff,graphql.s
 chema.diff.reporting,graphql.schema.idl,graphql.schema.idl.errors,gra
 phql.schema.validation,graphql.schema.visibility,graphql.util,graphql
 .validation,graphql.validation.rules,org.dataloader,org.dataloader.im
 pl,org.dataloader.stats,graphql.servlet,graphql.servlet.internal,org.
 apache.commons.codec,org.apache.commons.codec.binary,org.apache.commo
 ns.codec.cli,org.apache.commons.codec.digest,org.apache.commons.codec
 .language,org.apache.commons.codec.language.bm,org.apache.commons.cod
 ec.net,graphql.annotations,graphql.annotations.annotationTypes,graphq
 l.annotations.connection,graphql.annotations.connection.exceptions,gr
 aphql.annotations.connection.simple,graphql.annotations.dataFetchers,
 graphql.annotations.dataFetchers.connection,graphql.annotations.direc
 tives,graphql.annotations.directives.creation,graphql.annotations.pro
 cessor,graphql.annotations.processor.directives,graphql.annotations.p
 rocessor.exceptions,graphql.annotations.processor.graphQLProcessors,g
 raphql.annotations.processor.retrievers,graphql.annotations.processor
 .retrievers.fieldBuilders,graphql.annotations.processor.retrievers.fi
 eldBuilders.field,graphql.annotations.processor.retrievers.fieldBuild
 ers.method,graphql.annotations.processor.searchAlgorithms,graphql.ann
 otations.processor.typeBuilders,graphql.annotations.processor.typeFun
 ctions,graphql.annotations.processor.util,graphql.annotations.strateg
 ies,graphql.annotations.typeResolvers,io.swagger.v3.core.converter,io
 .swagger.v3.core.filter,io.swagger.v3.core.jackson,io.swagger.v3.core
 .jackson.mixin,io.swagger.v3.core.model,io.swagger.v3.core.util,io.sw
 agger.v3.oas.integration,io.swagger.v3.oas.integration.api,io.swagger
 .v3.jaxrs2,io.swagger.v3.jaxrs2.ext,io.swagger.v3.jaxrs2.integration,
 io.swagger.v3.jaxrs2.integration.api,io.swagger.v3.jaxrs2.integration
 .resources,io.swagger.v3.jaxrs2.util,org.antlr.v4.runtime,org.antlr.v
 4.runtime.atn,org.antlr.v4.runtime.dfa,org.antlr.v4.runtime.misc,org.
 antlr.v4.runtime.tree,org.antlr.v4.runtime.tree.pattern,org.antlr.v4.
 runtime.tree.xpath,org.apache.commons.lang3,org.apache.commons.lang3.
 arch,org.apache.commons.lang3.builder,org.apache.commons.lang3.concur
 rent,org.apache.commons.lang3.event,org.apache.commons.lang3.exceptio
 n,org.apache.commons.lang3.math,org.apache.commons.lang3.mutable,org.
 apache.commons.lang3.reflect,org.apache.commons.lang3.text,org.apache
 .commons.lang3.text.translate,org.apache.commons.lang3.time,org.apach
 e.commons.lang3.tuple,org.hibernate.validator,org.hibernate.validator
 .cfg,org.hibernate.validator.cfg.context,org.hibernate.validator.cfg.
 defs,org.hibernate.validator.cfg.defs.br,org.hibernate.validator.cfg.
 defs.pl,org.hibernate.validator.constraints,org.hibernate.validator.c
 onstraints.br,org.hibernate.validator.constraints.pl,org.hibernate.va
 lidator.constraints.time,org.hibernate.validator.constraintvalidation
 ,org.hibernate.validator.constraintvalidators,org.hibernate.validator
 .engine,org.hibernate.validator.group,org.hibernate.validator.interna
 l,org.hibernate.validator.internal.cfg.context,org.hibernate.validato
 r.internal.constraintvalidators,org.hibernate.validator.internal.cons
 traintvalidators.bv,org.hibernate.validator.internal.constraintvalida
 tors.bv.money,org.hibernate.validator.internal.constraintvalidators.b
 v.notempty,org.hibernate.validator.internal.constraintvalidators.bv.n
 umber,org.hibernate.validator.internal.constraintvalidators.bv.number
 .bound,org.hibernate.validator.internal.constraintvalidators.bv.numbe
 r.bound.decimal,org.hibernate.validator.internal.constraintvalidators
 .bv.number.sign,org.hibernate.validator.internal.constraintvalidators
 .bv.size,org.hibernate.validator.internal.constraintvalidators.bv.tim
 e,org.hibernate.validator.internal.constraintvalidators.bv.time.futur
 e,org.hibernate.validator.internal.constraintvalidators.bv.time.futur
 eorpresent,org.hibernate.validator.internal.constraintvalidators.bv.t
 ime.past,org.hibernate.validator.internal.constraintvalidators.bv.tim
 e.pastorpresent,org.hibernate.validator.internal.constraintvalidators
 .hv,org.hibernate.validator.internal.constraintvalidators.hv.br,org.h
 ibernate.validator.internal.constraintvalidators.hv.pl,org.hibernate.
 validator.internal.constraintvalidators.hv.time,org.hibernate.validat
 or.internal.engine,org.hibernate.validator.internal.engine.constraint
 definition,org.hibernate.validator.internal.engine.constraintvalidati
 on,org.hibernate.validator.internal.engine.groups,org.hibernate.valid
 ator.internal.engine.messageinterpolation,org.hibernate.validator.int
 ernal.engine.messageinterpolation.el,org.hibernate.validator.internal
 .engine.messageinterpolation.parser,org.hibernate.validator.internal.
 engine.messageinterpolation.util,org.hibernate.validator.internal.eng
 ine.path,org.hibernate.validator.internal.engine.resolver,org.hiberna
 te.validator.internal.engine.scripting,org.hibernate.validator.intern
 al.engine.validationcontext,org.hibernate.validator.internal.engine.v
 aluecontext,org.hibernate.validator.internal.engine.valueextraction,o
 rg.hibernate.validator.internal.metadata,org.hibernate.validator.inte
 rnal.metadata.aggregated,org.hibernate.validator.internal.metadata.ag
 gregated.rule,org.hibernate.validator.internal.metadata.core,org.hibe
 rnate.validator.internal.metadata.descriptor,org.hibernate.validator.
 internal.metadata.facets,org.hibernate.validator.internal.metadata.lo
 cation,org.hibernate.validator.internal.metadata.provider,org.hiberna
 te.validator.internal.metadata.raw,org.hibernate.validator.internal.p
 roperties,org.hibernate.validator.internal.properties.javabean,org.hi
 bernate.validator.internal.util,org.hibernate.validator.internal.util
 .annotation,org.hibernate.validator.internal.util.classhierarchy,org.
 hibernate.validator.internal.util.logging,org.hibernate.validator.int
 ernal.util.logging.formatter,org.hibernate.validator.internal.util.pr
 ivilegedactions,org.hibernate.validator.internal.util.stereotypes,org
 .hibernate.validator.internal.xml,org.hibernate.validator.internal.xm
 l.config,org.hibernate.validator.internal.xml.mapping,org.hibernate.v
 alidator.messageinterpolation,org.hibernate.validator.metadata,org.hi
 bernate.validator.parameternameprovider,org.hibernate.validator.path,
 org.hibernate.validator.resourceloading,org.hibernate.validator.spi.c
 fg,org.hibernate.validator.spi.group,org.hibernate.validator.spi.mess
 ageinterpolation,org.hibernate.validator.spi.nodenameprovider,org.hib
 ernate.validator.spi.properties,org.hibernate.validator.spi.resourcel
 oading,org.hibernate.validator.spi.scripting,javassist,javassist.byte
 code,javassist.bytecode.analysis,javassist.bytecode.annotation,javass
 ist.bytecode.stackmap,javassist.compiler,javassist.compiler.ast,javas
 sist.convert,javassist.expr,javassist.runtime,javassist.scopedpool,ja
 vassist.tools,javassist.tools.reflect,javassist.tools.rmi,javassist.t
 ools.web,javassist.util,javassist.util.proxy,org.reactivestreams,org.
 reflections,org.reflections.adapters,org.reflections.scanners,org.ref
 lections.serializers,org.reflections.util,org.reflections.vfs,org.yam
 l.snakeyaml,org.yaml.snakeyaml.comments,org.yaml.snakeyaml.composer,o
 rg.yaml.snakeyaml.constructor,org.yaml.snakeyaml.emitter,org.yaml.sna
 keyaml.env,org.yaml.snakeyaml.error,org.yaml.snakeyaml.events,org.yam
 l.snakeyaml.extensions.compactnotation,org.yaml.snakeyaml.external.bi
 z.base64Coder,org.yaml.snakeyaml.external.com.google.gdata.util.commo
 n.base,org.yaml.snakeyaml.introspector,org.yaml.snakeyaml.nodes,org.y
 aml.snakeyaml.parser,org.yaml.snakeyaml.reader,org.yaml.snakeyaml.rep
 resenter,org.yaml.snakeyaml.resolver,org.yaml.snakeyaml.scanner,org.y
 aml.snakeyaml.serializer,org.yaml.snakeyaml.tokens,org.yaml.snakeyaml
 .util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ";uses:="com.liferay.portal.configuration.persistence.listener",osgi.
 service;objectClass:List<String>="com.liferay.portal.vulcan.batch.eng
 ine.VulcanBatchEngineTaskItemDelegateRegistry";uses:="com.liferay.por
 tal.vulcan.batch.engine",osgi.service;objectClass:List<String>="com.l
 iferay.portal.vulcan.batch.engine.resource.VulcanBatchEngineImportTas
 kResource";uses:="com.liferay.portal.vulcan.batch.engine.resource",os
 gi.service;objectClass:List<String>="com.liferay.portal.vulcan.dto.co
 nverter.DTOConverterRegistry";uses:="com.liferay.portal.vulcan.dto.co
 nverter",osgi.service;objectClass:List<String>="com.liferay.portal.vu
 lcan.dto.converter.DTOMapper";uses:="com.liferay.portal.vulcan.dto.co
 nverter",osgi.service;objectClass:List<String>="com.liferay.portal.vu
 lcan.extension.ExtensionProviderRegistry";uses:="com.liferay.portal.v
 ulcan.extension",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.vulcan.internal.graphql.data.processor.GraphQLDTOContributorDat
 aFetchingProcessor";uses:="com.liferay.portal.vulcan.internal.graphql
 .data.processor",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.vulcan.internal.graphql.data.processor.LiferayMethodDataFetchin
 gProcessor";uses:="com.liferay.portal.vulcan.internal.graphql.data.pr
 ocessor",osgi.service;objectClass:List<String>="com.liferay.portal.vu
 lcan.jaxrs.JaxRsResourceRegistry";uses:="com.liferay.portal.vulcan.ja
 xrs",osgi.service;objectClass:List<String>="com.liferay.portal.vulcan
 .resource.OpenAPIResource";uses:="com.liferay.portal.vulcan.resource"
 ,osgi.service;objectClass:List<String>="graphql.annotations.processor
 .GraphQLAnnotationsComponent";uses:="graphql.annotations.processor",o
 sgi.service;objectClass:List<String>="graphql.annotations.processor.g
 raphQLProcessors.GraphQLInputProcessor";uses:="graphql.annotations.pr
 ocessor.graphQLProcessors",osgi.service;objectClass:List<String>="gra
 phql.annotations.processor.graphQLProcessors.GraphQLOutputProcessor";
 uses:="graphql.annotations.processor.graphQLProcessors",osgi.service;
 objectClass:List<String>="graphql.annotations.processor.retrievers.Gr
 aphQLExtensionsHandler";uses:="graphql.annotations.processor.retrieve
 rs",osgi.service;objectClass:List<String>="graphql.annotations.proces
 sor.retrievers.GraphQLFieldRetriever";uses:="graphql.annotations.proc
 essor.retrievers",osgi.service;objectClass:List<String>="graphql.anno
 tations.processor.retrievers.GraphQLInterfaceRetriever";uses:="graphq
 l.annotations.processor.retrievers",osgi.service;objectClass:List<Str
 ing>="graphql.annotations.processor.retrievers.GraphQLObjectHandler";
 uses:="graphql.annotations.processor.retrievers",osgi.service;objectC
 lass:List<String>="graphql.annotations.processor.retrievers.GraphQLOb
 jectInfoRetriever";uses:="graphql.annotations.processor.retrievers",o
 sgi.service;objectClass:List<String>="graphql.annotations.processor.r
 etrievers.GraphQLTypeRetriever";uses:="graphql.annotations.processor.
 retrievers",osgi.service;objectClass:List<String>="graphql.annotation
 s.processor.searchAlgorithms.SearchAlgorithm";uses:="graphql.annotati
 ons.processor.searchAlgorithms",osgi.service;objectClass:List<String>
 ="graphql.annotations.processor.typeFunctions.TypeFunction";uses:="gr
 aphql.annotations.processor.typeFunctions",osgi.service;objectClass:L
 ist<String>="graphql.annotations.processor.util.DataFetcherConstructo
 r";uses:="graphql.annotations.processor.util",osgi.service;objectClas
 s:List<String>="javax.servlet.Servlet,javax.servlet.http.HttpServlet"
 ;uses:="javax.servlet,javax.servlet.http",osgi.service;objectClass:Li
 st<String>="javax.ws.rs.core.Feature";uses:="javax.ws.rs.core"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.dep
 ot.service.DepotEntryLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.document.library.kernel.util.DLValida
 tor)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.headless.batch.engine.resource.v1_0.ImportTaskResource)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 language.Language)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.CompanyLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.GroupLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.ResourceActionLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.ResourcePermissionLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.RoleLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.util.Portal)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.Exp
 ressionConvert)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.odata.filter.FilterParserProvider)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.odata.sort
 .SortParserProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.vulcan.batch.engine.resource.VulcanBatchEngi
 neImportTaskResource)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.vulcan.dto.converter.DTOConverterRegistry)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.vulcan.extension.ExtensionProviderRegistry)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.vulcan.internal.g
 raphql.data.processor.GraphQLDTOContributorDataFetchingProcessor)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .vulcan.internal.graphql.data.processor.LiferayMethodDataFetchingProc
 essor)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.vulcan.jaxrs.JaxRsResourceRegistry)";effective:=active,osg
 i.service;filter:="(objectClass=graphql.annotations.processor.graphQL
 Processors.GraphQLInputProcessor)";effective:=active,osgi.service;fil
 ter:="(objectClass=graphql.annotations.processor.graphQLProcessors.Gr
 aphQLOutputProcessor)";effective:=active,osgi.service;filter:="(objec
 tClass=graphql.annotations.processor.retrievers.GraphQLExtensionsHand
 ler)";effective:=active,osgi.service;filter:="(objectClass=graphql.an
 notations.processor.retrievers.GraphQLExtensionsHandler)";effective:=
 active;resolution:=optional,osgi.service;filter:="(objectClass=graphq
 l.annotations.processor.retrievers.GraphQLFieldRetriever)";effective:
 =active,osgi.service;filter:="(objectClass=graphql.annotations.proces
 sor.retrievers.GraphQLFieldRetriever)";effective:=active;resolution:=
 optional,osgi.service;filter:="(objectClass=graphql.annotations.proce
 ssor.retrievers.GraphQLInterfaceRetriever)";effective:=active;resolut
 ion:=optional,osgi.service;filter:="(objectClass=graphql.annotations.
 processor.retrievers.GraphQLObjectInfoRetriever)";effective:=active,o
 sgi.service;filter:="(objectClass=graphql.annotations.processor.retri
 evers.GraphQLObjectInfoRetriever)";effective:=active;resolution:=opti
 onal,osgi.service;filter:="(objectClass=graphql.annotations.processor
 .retrievers.GraphQLTypeRetriever)";effective:=active,osgi.service;fil
 ter:="(objectClass=graphql.annotations.processor.searchAlgorithms.Sea
 rchAlgorithm)";effective:=active,osgi.service;filter:="(objectClass=g
 raphql.annotations.processor.searchAlgorithms.SearchAlgorithm)";effec
 tive:=active;resolution:=optional,osgi.service;filter:="(objectClass=
 graphql.annotations.processor.typeFunctions.TypeFunction)";effective:
 =active,osgi.service;filter:="(objectClass=graphql.annotations.proces
 sor.typeFunctions.TypeFunction)";effective:=active;resolution:=option
 al;cardinality:=multiple,osgi.service;filter:="(objectClass=graphql.a
 nnotations.processor.util.DataFetcherConstructor)";effective:=active,
 osgi.service;filter:="(objectClass=graphql.execution.preparsed.Prepar
 sedDocumentProvider)";effective:=active;resolution:=optional,osgi.ser
 vice;filter:="(objectClass=graphql.servlet.ExecutionStrategyProvider)
 ";effective:=active;resolution:=optional,osgi.service;filter:="(objec
 tClass=graphql.servlet.GraphQLContextBuilder)";effective:=active;reso
 lution:=optional,osgi.service;filter:="(objectClass=graphql.servlet.G
 raphQLErrorHandler)";effective:=active;resolution:=optional,osgi.serv
 ice;filter:="(objectClass=graphql.servlet.GraphQLMutationProvider)";e
 ffective:=active;resolution:=optional;cardinality:=multiple,osgi.serv
 ice;filter:="(objectClass=graphql.servlet.GraphQLProvider)";effective
 :=active;resolution:=optional;cardinality:=multiple,osgi.service;filt
 er:="(objectClass=graphql.servlet.GraphQLQueryProvider)";effective:=a
 ctive;resolution:=optional;cardinality:=multiple,osgi.service;filter:
 ="(objectClass=graphql.servlet.GraphQLRootObjectBuilder)";effective:=
 active;resolution:=optional,osgi.service;filter:="(objectClass=graphq
 l.servlet.GraphQLServletListener)";effective:=active;resolution:=opti
 onal;cardinality:=multiple,osgi.service;filter:="(objectClass=graphql
 .servlet.GraphQLSubscriptionProvider)";effective:=active;resolution:=
 optional;cardinality:=multiple,osgi.service;filter:="(objectClass=gra
 phql.servlet.GraphQLTypesProvider)";effective:=active;resolution:=opt
 ional;cardinality:=multiple,osgi.service;filter:="(objectClass=graphq
 l.servlet.InstrumentationProvider)";effective:=active;resolution:=opt
 ional,osgi.service;filter:="(objectClass=org.osgi.service.cm.Configur
 ationAdmin)";effective:=active,osgi.service;filter:="(objectClass=org
 .osgi.service.component.runtime.ServiceComponentRuntime)";effective:=
 active,osgi.extender;filter:="(&(osgi.extender=osgi.component)(versio
 n>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaServle
 t;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;fil
 ter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.vulcan.internal.batch.e
 ngine.VulcanBatchEngineTaskItemDelegateAdaptorFactory.xml,OSGI-INF/co
 m.liferay.portal.vulcan.internal.batch.engine.VulcanBatchEngineTaskIt
 emDelegateRegistryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.interna
 l.batch.engine.resource.VulcanBatchEngineImportTaskResourceImpl.xml,O
 SGI-INF/com.liferay.portal.vulcan.internal.configuration.persistence.
 listener.VulcanConfigurationModelListener.xml,OSGI-INF/com.liferay.po
 rtal.vulcan.internal.dto.converter.DTOConverterRegistryImpl.xml,OSGI-
 INF/com.liferay.portal.vulcan.internal.dto.converter.DTOMapperImpl.xm
 l,OSGI-INF/com.liferay.portal.vulcan.internal.extension.ExtensionProv
 iderRegistryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.internal.grap
 hql.data.processor.GraphQLDTOContributorDataFetchingProcessor.xml,OSG
 I-INF/com.liferay.portal.vulcan.internal.graphql.data.processor.Lifer
 ayMethodDataFetchingProcessor.xml,OSGI-INF/com.liferay.portal.vulcan.
 internal.graphql.servlet.GraphQLServletExtender.xml,OSGI-INF/com.life
 ray.portal.vulcan.internal.jaxrs.JaxRsResourceRegistryImpl.xml,OSGI-I
 NF/com.liferay.portal.vulcan.internal.jaxrs.feature.VulcanFeature.xml
 ,OSGI-INF/com.liferay.portal.vulcan.internal.resource.OpenAPIResource
 Impl.xml
Tool: Bnd-4.3.0.201909301554

